LibreOffice LibreOffice 4.3 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
ColorSpaceType.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::rendering
| Interfaces and data structures for rendering.

## Constant Groups
constants | com::sun::star::rendering::ColorSpaceType
| Categories for color spaces.

## Variables
const byte | DEVICE_COLOR =0
| Unspecified device color space - use conversion functions to convert to standard color spaces. More...
const byte | GREY =1
| Grey-value color space. More...
const byte | RGB =2
| RGB color space. More...
const byte | CMYK =3
| CMYK color space. More...
const byte | CMYKOG =4
| CMYKOG color space. More...
const byte | CIEXYZ =5
| Standard CieXYZ color space. More...
const byte | CIELAB =6
| Standard CieLab color space. More...
const byte | SRGB =7
| Standard sRGB color space. More...
const byte | HSV =8
| HSV color space. More...
const byte | HSL =9
| HSL color space. More...
const byte | YCBCR =10
| YCbCr color space. More...
const byte | INDEXED =11
| Indexed color space. More...